# https://dzone.com/articles/display-and-convert-images-in-python

from PIL import Image

image = Image.open('ani.gif')

print("Filename: ", image.filename)
print("Format: ", image.format)
print("Mode: ", image.mode)
print("Size: ", image.size)
print("Width: ", image.width)
print("Height: ", image.height)
print("Is Animated: ", (getattr(image, "is_animated", False)))

image.close()  # close image file
